Scans
List scans
GET
/
api
/
v1
/
scans
List scans
curl --request GET \
--url https://api.passentry.com/api/v1/scans \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.passentry.com/api/v1/scans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.passentry.com/api/v1/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "0195ebee-62d2-7a98-83b7-1fe98465a401",
"type": "scan",
"attributes": {
"scanType": "barcode",
"scanValue": "factory_scan_value",
"validationType": "internalValidation",
"status": "failed",
"statusDetail": "Pass is not active",
"scannedAt": "2025-01-13T13:00:00Z"
},
"relationships": {
"pass": {
"data": {
"id": "7882e98b-0eba-4625-9223-5221eb8dad7f",
"type": "pass"
}
},
"reader": {
"data": {
"id": "south-gate-1",
"type": "reader"
}
}
}
},
{
"id": "0195ebee-62d1-72b3-bd35-a101b24878a9",
"type": "scan",
"attributes": {
"scanType": "nfc",
"scanValue": "factory_scan_value",
"validationType": "internalValidation",
"status": "failed",
"statusDetail": "Pass is not active",
"scannedAt": "2025-01-13T13:02:00Z"
},
"relationships": {
"pass": {
"data": {
"id": "7882e98b-0eba-4625-9223-5221eb8dad7f",
"type": "pass"
}
},
"reader": {
"data": {
"id": "south-gate-1",
"type": "reader"
}
}
}
},
{
"id": "0195ebee-62d0-77cb-b8b1-0a81f99efc2c",
"type": "scan",
"attributes": {
"scanType": "barcode",
"scanValue": "factory_scan_value",
"validationType": "internalValidation",
"status": "failed",
"statusDetail": "Pass is not active",
"scannedAt": "2025-01-13T13:05:00Z"
},
"relationships": {
"pass": {
"data": {
"id": "7882e98b-0eba-4625-9223-5221eb8dad7f",
"type": "pass"
}
},
"reader": {
"data": {
"id": "south-gate-1",
"type": "reader"
}
}
}
}
],
"included": [
{
"id": "7882e98b-0eba-4625-9223-5221eb8dad7f",
"type": "pass",
"attributes": {
"downloadUrl": "https://www.example.com?pass=7882e98b-0eba-4625-9223-5221eb8dad7f",
"passType": "generic",
"createdAt": "2022-01-01T00:00:00Z",
"status": "issued",
"extId": "4312d68fd106e3e6dd15",
"passTemplateUuid": "7f24e7371e67c7af15103815",
"passTemplateName": "PassEntry Event",
"nfc": null,
"barcode": {},
"passContent": {
"fullName": "John Johnson"
}
}
},
{
"id": "south-gate-1",
"type": "reader",
"attributes": {
"name": "South Gate Reader",
"readerType": "PassentryReader",
"loggedIn": false,
"qrEnabled": false,
"mifareClassicNfcEnabled": false,
"scanEnabled": true,
"redeemEnabled": false,
"addPointsEnabled": false,
"ndefTagScanningEnabled": false,
"lastSeenAt": "2020-03-13T13:00:00Z"
}
}
],
"meta": {
"totalCount": 3,
"resultsPerPage": 25,
"currentPage": 1,
"totalPages": 1
},
"links": {
"first": null,
"prev": null,
"next": null,
"last": null
}
}{
"errors": [
"Access denied"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Record limiter per page. Default is 100
Filter by entity uuid
Filter by reader uuid
Filter by pass uuid or ext_id
Filter by validation type
Available options:
internalValidation, externalValidation Filter by scan type
Available options:
nfc, barcode Filter by status
Available options:
successful, failed Filter by event uuid
Filter by pass template name
Filter by pass template uuid. Use instead of passTemplateName when templates in different entities share the same name
Filter by group tag
Filter by multiple group tags. Use array notation: groupTags[]=tag1&groupTags[]=tag2
Filter by created after. Format: ISO 8601
Filter by created before. Format: ISO 8601
Was this page helpful?
⌘I
List scans
